*{
    padding: 0%;
    margin: 0%;
    /* background-color: gray; */
    /* background-color: black; */
    /* color: white; */
}
.maindiv{
    height: auto;
}
.first{
    display: flex;
    gap: 20px;
    width: 95%;
    margin: auto;
    margin-top: 13%;
}
.first>p{
    font-size: small;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;
}
.middle{
    margin: auto;
    margin-top: 5%;
    /* border: 1px solid lightgray; */
    width: 95%;
    height: auto;
    display: flex;
    
}
.sideImg{
    height: 100%;
    width: 100%;
}

.middle>#middle_1{
    width: 60%;
    height: auto;
    border-right: 1px solid lightgray;
    border-left: 0px;
    border-top: 0px;
    border-bottom: 0px;

}

#title{
 color: black;
 font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}


.middle>#middle_2{
    width: 40%;
    height: auto;
    border-left: 1px solid lightgray;
    border-right: 0px;
    border-top: 0px;
    border-bottom: 0px;

}
#middle_2>h2{
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
 margin-left: 20px;
 margin-top: 3%;
 font-size: 35px;
}
#middle_2>h4{
font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
 margin-left: 20px;
 margin-top: 3%;
 font-size: 15px;
}
#middle_2>img{
    margin-left: 3%;
}

#time{
    width: 90%;
    height: 30px;
    border: 1px solid black;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    margin: auto;
    display: flex;
    align-items: center;
    /* justify-content: center; */
    margin-top: 3%;
    border-top: 1px solid gray;
    border-bottom: 1px solid gray;
    border-left: 0px ;
    border-right: 0px ;
    text-align: left;
}

#time>h4{
    margin-top: 3%;
}

#label1{
    margin-left: 20px;
    margin-top: 3%;
    
}
#Retrieve{
    width:150px;
    height: 30px;
    /* margin-left: 10px; */
    margin-top: 3%;
    font-size: 15px;
}


#label2{
    margin-left: 20px;
    margin-top: 3%;
    
}
#Gear_Ratio{
    width:150px;
    height: 30px;
    /* margin-left: 10px; */
    margin-top: 3%;
    font-size: 15px;
}

#ShopBelow{
    height:40px;
    width: 50%;
    border: 0px;
    /* margin-top: 50px;   */
    margin: auto;
    background-color: rgb(8, 53, 8);
    color: white;
    font-size: large;
    font-weight: bolder;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    display: block;
    margin: 0 auto;
}
#price{
    color: black;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.img_div{
  height: auto;
  width: 95%;
  margin: auto;
  /* border: 1px solid black; */
  margin-top: 3%;
  display: flex;
  gap: 10px;
  border-radius: 10px;

}
.img_div div{
    /* border: 1px solid black; */
    height: auto;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border-radius: 10px;
}
#img_right{
    width: 85%;
    height: 100%;

}

#img_left{
    width: 20%;
    height: 100%;
}

#Pro_det{
width: 95%;
height: auto;
margin: auto;
margin-top: 3%;
}
#Pro_det>h2{
font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

#Pro_det>p{
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    }

#rating_div{
    /* border: 1px solid black; */
    width: 90%;
    height: 80px;
    margin-left: 10%;
    gap: 10px;
    display: flex;
    /* justify-content: space-around; */
    gap: 20px;
}
#rating{
    height: 70px;
    width: 50%;
}
#reviews{
    margin-top: 5%;
}

#rating_text{
    margin-top: 5%;
}

#img_left>div{
    width: 90%;
    height: 120px;
    /* border: 1px solid black; */
    margin: auto;
    display: grid;
    grid-template-rows: repeat(1,1fr);
    margin-top: 10%;

}

#brandName{
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 40px;
}

.imageTag{
    width: 100%;
    height: auto;

}
.addtocart{
    width: 100%;
    height: auto;
    /* border: 1px solid black; */
    display: flex;
    
}
#leftsection{
    width: 60%;
}

.addtocart>div{
    /* border: 1px solid blue; */
    width: 50%;
    height: auto;
}
#rightsection{
    display: flex;
    color: black;  
    width: 40%;
    /* border: 1px solid black; */
}
.btn{
    margin-top: 4%;
}
#rightsection>div>h2{
    font-family: 'Times New Roman', Times, serif;
    font-size: 20px;
    color: black;
}

#rightsection>div{
    width: 50%;
    height: auto;
    display: flex;

    /* border: 1px solid black; */
    align-content: center;
    /* gap: 10px; */
    margin: auto;
    /* margin-top: 2%; */
}

#rightsection>div>button{
    width: 30px;
    height: 30px;
    background-color: white;
    border: 1px solid gray;
    border-radius: 10px;

}
#rightsection>div>div{
    /* border: 1px solid black; */
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
    /* padding: 2%; */
    
}

#product_chart{
    border: 1px solid black;
    width: 95%;
    height: auto;
    margin: auto;
    margin-top: 8%;
    
}
#product_chart>h2{
    margin-top: 1%;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin-left: -70%;
    /* color: black; */
    font-size: 30px;
}



#addingCart{
    width: 170px;
    height:40px;
    margin-top: 100px;
    margin: auto;
    margin-left: 60%;
    border-radius: 5px;
    border: 0px;
    color: white;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    background-color: rgb(9, 65, 9);
}



/* ****************************************************************************** */


*{
    margin: 0px;
    padding: 0px;
}
 #nav{
    width: 100%;
    height: 100%;
        /* border: 1px solid red; */
        display: flex;
        justify-content: space-evenly;
        /* margin-left: 40%; */
        /* margin-right: 10%; */
    /* margin-top: 3%; */
       /* position: fixed; */
        background-color: rgb(179, 212, 201);
        
    } 


#nav>div{
    border: 1px solid red;
    padding: 20px;
    /* float: right; */
    position: fixed;
}
   
/* ===========================nav1========================== */

#parent{
width: 100%;
display: flex;
justify-content: space-between;
position: fixed;
/* border: 1px solid red; */
background-color: white;


}
#left{
width:40%;
display: flex;
justify-content: space-between;
gap:40px;
margin-left: 40px;
}
#right{
display: flex;
justify-content: space-between;
margin-right:60px ;
gap:15px
}
h1{
font-size: 12px;
margin-top: 15px;
}
h4{
margin-bottom: 15px;

}
#left1{
display: flex;
}


#hover-underline-animation {
display: inline-block;
position: relative;
color: #111212;
/* border: 2px solid rgb(9, 156, 205); */
margin-top:16px;


}

#hover-underline-animation::before{
content: '';
position: absolute;
width: 97%;
transform: scaleX(0);
height: 0.8px;
bottom: 0;

background-color: #020202;

}

#hover-underline-animation:hover::before {
transform: scaleX(1);

} 
/* ===================================== */
#parent2{
width: 100%; 
display: flex;
justify-content: space-between;
position: fixed;
border: 1px solid rgb(191, 187, 187);
margin-top: 50px;
background-color: white;
}

#lefta{
width: 10%;
display: flex;
gap: 190%;
margin-left: 140px;

}
#righta{
margin-right: 180px;
}



*{
margin: 0px;
padding: 0%;
}
#man{
width:1000px;
height: 30px;
border:1px solid rgb(180, 178, 178);
padding: 8px;
border-radius: 30px;
margin-top: 20px;
background-color: rgb(180, 178, 178);


}
input{
background: transparent;
height: 50px;
border: 0px;
outline: 0px;
width: 650px;

}
.icon-search{
color: black;
}


#parent3{
    height:60px;
    
    width:90%;
    /* border: 1px solid red; */
    display: flex;
    justify-content: space-around;
    
    align-items: center;
    margin-top: 104px;
    
    padding-left: 5%;
    padding-right: 10%;
    position: fixed; 
    background-color: rgb(247, 242, 242);
    
 
    
    
    
    
    }

    .dropbtn{
      background-color: white;
      color: black;
      border: none;
  }
  .dropdown{
      position: relative;
      /* display: inline-block; */
  }
  .cont{
      display: none;
      position: absolute;
      background-color: whitesmoke;
      min-width: 160px;
      box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
      z-index: 1; 
  }
  .cont a{
      color: black;
      padding: 12px 16px;
      text-decoration: none;
      display: block;
  }
  .cont a:hover{background-color: beige;}
   .dropdown:hover .cont{display: block;} 
   .dropdown:hover .dropbtn{background-color: white;}

#parent4{
    margin-top: 80px;


    background-color: white;
  
}
#parent4>img{
  width:90%;
  margin-left: 60px;
}
#jal{
  display: flex;
  margin-top: 60px;
  align-items: center;
}
#img1{
border: 1px solid red;
margin-top: -320px;
height:50%;
width:45.4%;
margin-left: 60px;
justify-content: space-between;
}
#img2{
border: 1px solid red;
height:50%;
width:88%
}
#right4{
border: 1px solid red;
justify-content: space-around;
display: flex;
}
h2{
font-size: 200%;
text-align: center;
padding: 2%;
color: green;
}

#path{
    background-color: whitesmoke;
    color: black;
    margin-top: 170px;
    
  }
  
  #product-container1{
    width: 75%;
    background-color: white;
    margin-top: 0;
  }
  #product-container1>p{
    color: grey;
  }
  #product-container{
    margin: auto;
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
  }
  #product-container>div{
      padding: 10px;
      margin: auto;
      border-style: solid;
      border-color: white;
      border-width: 1px;
      border-radius: 2px;
      padding-bottom: 0;
      height: 450px;
  }
  #product-container>div>*{
      margin-top: 7px;
      margin-bottom: 7px; 
  }
  #product-container>div>img{
      width: 100%;
      height: 300px;
  }
  #main{
    display: flex;
    margin-top: 50px;
    align-items: flex-start;
  }
  #sort{
    width: 23%;
    margin: auto;
    background-color: white;
    margin-top: 0;
  }
  
  #sort h3{
    margin-top: 8px;
    margin-bottom: 8px;
  }
  
  #sorthead{
    display: flex;
    justify-content: space-between;
  }
  #sorthead>h4{
    color: rgb(82, 169, 245);
    margin-right: 7px;
  }
  label{
    color: #868686;
    font-size: 13px;
  }



/* =======================foot============== */
@media only screen and (max-width: 1400px) {
    /* Small Screen  */
.footer1{
    flex-wrap: warp;
    flex-direction: row;
}

   
    
    }
    .footer1{
        /* border: 1px solid red; ; */
        display: flex;
        gap:80px;
        padding: 25px;
        margin-left: 90px;
        text-align: center;
    }

    .footer2{
        
        display: flex;
        gap:80px;
        padding: 25px;
        margin-left: 90px;
        text-align: center;
        justify-content: space-around;
    }



    #foot{
       
        color: black;
        margin-bottom: 0px;
        margin-left: none;
        margin-right: none;
        margin-top: 2px;
        background-color: white;
     
        font-size: 15px;
        border: none;
       
    }

    #foot {
        display: inline-block;
        position: relative;
        color: #111212;
     
        margin-top:16px;
        
        
        }
        
        #foot::before{
        content: '';
        position: absolute;
        width: 97%;
        transform: scaleX(0);
        height: 0.8px;
        bottom: 0;
        
        background-color: #020202;
        
        }
        
        #foot:hover::before {
        transform: scaleX(1);
        
        }
        .footer3{
            display: flex;
            justify-content: space-around;

        } 
        .left2{
            display: flex;
            gap:50px;
            padding: 50px;
            align-items: center;
            margin-left: 80px;
        }
    

        .right3{
            display: flex;
            gap:50px;
            padding: 50px;
            align-items: center;
            margin-left: 80px;
        }
.footer4{
   
    display: flex;
    justify-content: space-around;
   
    padding: 25px;
    margin-left: 40px;
    margin-right: 40px;
    text-align: center;
}

.footer5{
  
    display: flex;
    margin-top: -30px;
    gap: 20px;
   
 
    margin-left: 93px;
  
}

.footer6{
 
    display: flex;
 
    gap: 20px;
    margin-top: 20px;
 
    margin-left: 93px;
  
}

#foot1{
   
    color: black;
    margin-bottom: 0px;
    margin-left: none;
    margin-right: none;
    margin-top: 2px;
    background-color: white;
  
    font-size: 15px;
    border: none;
   
}
.parentfoot{
    width: 100%;
    height: 100%;
    background-color: rgb(253, 253, 246);

padding-bottom: 50px;
}